Package edu.wisc.game.reflect

## Class Reflect.Entry

- java.lang.Object
- - edu.wisc.game.reflect.Reflect.Entry

- All Implemented Interfaces:
    `Comparable`
  Enclosing class:
    Reflect

      public static class Reflect.Entry
      extends Object
      implements Comparable

  An entry describes one field of the class, complete with its access methods (getter and setter) and the display hints

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `boolean` | `editable` |
    `Field` | `f` |
    `Method` | `g` | The getter method for the field.
    `String` | `name` |
    `boolean` | `payment` |
    `boolean` | `rp` |
    `Method` | `s` | The setter method for the field.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Entry()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `compareTo​(Object _o)` |
    `String` | `destName()` | Class.field, e.g.
    `boolean` | `isDigest()` | Does this field store an MD5 digest, rather than the actual value?
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### name

          public String name

    - #### editable

          public boolean editable

    - #### rp

          public boolean rp

    - #### payment

          public boolean payment

    - #### f

          public Field f

    - #### g

          public Method g

      The getter method for the field. Always present (because fields w/o the getter don't get Entry objects created for them)

    - #### s

          public Method s

      The setter method for the field. May or may not be present.

  - ### Constructor Detail

    - #### Entry

          public Entry()

  - ### Method Detail

    - #### compareTo

          public int compareTo​(Object _o)

      Specified by:
        `compareTo` in interface `Comparable`

    - #### isDigest

          public boolean isDigest()

      Does this field store an MD5 digest, rather than the actual value?

    - #### destName

          public String destName()

      Class.field, e.g. "Respondent.first_name"

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`